### Method

# Camel Session user_alert

since: 3.12

#### Declaration [src]

    void
    camel_session_user_alert (
      CamelSession* session,
      CamelService* service,
      CamelSessionAlertType type,
      const gchar* message
    )

#### Description [src]

Emits a `CamelSession:user_alert` signal from an idle source on the main loop. The idle source’s priority is #G_PRIORITY_LOW.

The purpose of the signal is to propagate a server-issued alert message from `service` to a user interface. The `type` hints at the nature of the alert message.

Available since: 3.12

#### Parameters

`service`

  Type: `CamelService`

  A `CamelService`.

  The data is owned by the caller of the method.

`type`

  Type: `CamelSessionAlertType`

  A `CamelSessionAlertType`.

`message`

  Type: `const gchar*`

  The message for the user.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.